package com.ruoyi.project.domain;

import java.io.Serializable;
import java.util.Date;

/**
 * project_staff_record_log
 * @author 
 */
public class ProjectStaffRecordLog implements Serializable {
    /**
     * 日志项目编号
     */
    private Long id;

    /**
     * 项目打卡编号
     */
    private Long psrId;

    /**
     * 成员编号
     */
    private Long aid;

    /**
     * 成员名称
     */
    private String name;

    /**
     * 流程状态
     */
    private Integer processStatus;

    /**
     * 内容
     */
    private String content;

    /**
     * 创建时间
     */
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPsrId() {
        return psrId;
    }

    public void setPsrId(Long psrId) {
        this.psrId = psrId;
    }

    public Long getAid() {
        return aid;
    }

    public void setAid(Long aid) {
        this.aid = aid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(Integer processStatus) {
        this.processStatus = processStatus;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}